package read

import (
	"git.tek.govt.hu/dowerx/place/api/structs"
	"git.tek.govt.hu/dowerx/place/config"
	"git.tek.govt.hu/dowerx/place/storage"
	"github.com/gin-gonic/gin"
)

func Info(c *gin.Context) {
	conf := config.GetConfig()
	c.JSON(200, gin.H{
		"tileSize":   conf.TileSize,
		"canvasSize": conf.CanvasSize,
		"timeout":    conf.Timeout,
	})
}

func Tile(c *gin.Context) {
	var coords structs.Coordinates
	if c.ShouldBind(&coords) != nil {
		c.AbortWithStatus(400)
		return
	}

	buffer, err := storage.GetTile(coords.X, coords.Y)
	if err != nil {
		c.AbortWithError(500, err)
		return
	}

	c.Status(200)
	c.Header("Content-Type", "image/png")
	c.Writer.Write(buffer.Bytes())
}

func Continuous(c *gin.Context) {

}
